Supported IDEs

Development environment specific, Arduino, Eclipse, VS2013,Em::Blocks etc
Post Reply
victor_pv
Posts: 1746
Joined: Mon Apr 27, 2015 12:12 pm

Supported IDEs

Post by victor_pv » Thu Sep 14, 2017 1:31 pm

This is the list of IDEs which should work, and which may work with the stm32duino core:

Should work
  • Arduino IDE
May work
  • Sloeber
  • Eclipse
  • Old versions of Arduino IDE
Read this faq section if you have any question about IDEs before posting in the forum.

Q. What IDEs are supported with the stm32duino core?
A. Only Arduino IDE, and we don't support the IDE itself, that's supported by the Arduino team, but we try to make the core compatible with it. It's the IDE that most people uses and it's easy to use, so it's the one that the core is tested with.

Q. Is Maple IDE supported?
A. No. Maple IDE has not had any active develpment for years. At this point is very obsolete and you should not use it. Don't post any questions about Maple IDE since it will be locked and removed.

Q. Is Eclipse supported?
A. No. The core is written and tested for Arduino IDE. With that said, some people have created projects with Eclipse and use the core, but they are experienced with what they are doing. If you decide to use it, you should expect to resolve most issues by yourself. If you post asking for support, show that you have done your homework before posting or your thread may be locked/removed.

Q. Is Sloeber supported?
A. No. It works as long as it's compatible with Arduino IDE. But Neither Sloeber is developed and tested for this core, nor this core is developed and tested for Sloeber. Since it is based on Eclipse, the QA above applies to it.

Q. Is the Arduino Plugin for Eclipse supported?
A. No. The one from Jantje is now called Sloeber, see QA above. There is some other Arduino plugin in Eclipse. It is not supported either.

Q. Why only the Arduino IDE is supported? it's not very advanced
A. This is an Arduino core, intended to be compatible with Arduino for people that use sketches and libraries compatible with Arduino. If you want to use a more advanced IDE, you should also consider using other libraries, such as STM HAL, CMSIS etc.

Q. Can I post about other IDEs?
A. Yes you can and there is a section for that. You can post any advice, news, etc, but if you have a question or problem on using that IDE, it's probably better to look for a forum about the IDE itself.

Post Reply